Ts=0.5;
alpha1 = 1; 
alpha2 = 0.5;
k1 = .8;
k2 = .4;
Thot1 = 30;
Tcold1 = 15;
Thot2 = 35;
Tcold2 = 10;
Uc = 10; % air conditioning power flow
Uh = 10; % heater power flow

S=mld('heatcoolmodel',Ts)

% Simulation using MLD model

x0=[30;30]; % initial state
TT=[0:Ts:10]';
U=30+20*cos(TT/2);

[XXs,TTs]=sim(S,x0,U);
plot(TT,XXs,TT,U);
grid
title('Temperature')
