N=10;
%S.milpsolver='cplex';
S.milpsolver='glpk';

% Xf=10<=x1,x2<=15
Xf.A=[eye(2);-eye(2)];
Xf.b=[15;15;-10;-10];

% X0=35<=x1,x2<=40
X0.A=[eye(S.nx);-eye(S.nx)];
X0.b=[40;40;-35;-35];

umin=10;
%umin=20;
umax=30;

[flag,x0,U,xf,X,T]=reach(S,N,Xf,X0,umin,umax);

if flag==1,
    % Add final state in plot
    X=[X;xf'];
    
    subplot(211);
    plot(X(:,1),X(:,2),X(:,1),X(:,2),'*');
    ylabel('T_2');
    xlabel('T_1');
    grid
    title('State')

    subplot(212)
    plot(T,U,T,U,'*');
    grid
    title('Input')
    xlabel('time')
    ylabel('T_{amb}')
    set(gcf,'position',[168    74   359   611]);
    
else
    disp(sprintf('\n\nXf is not reachable from X0'));
end
