Q.norm=Inf;   % Infinity norm
N=2;
C=hybcon(S,Q,N,limits,refs);

clear range options
range.xmin=[-10,-10];
range.xmax=[50,50];

%options.fixref.x=[2];
%options.valueref.x=[40];

range.refxmin=[10]; % Set of state references where the mp-problem is solved
range.refxmax=[50]; 

options.verbose=0;
options.lpsolver='glpk'; %   uses GLPKMEX.DLL 
%options.qpsolver='nag';
options.uniteeps=1e-6;   
options.flattol=1e-4;
options.waitbar=1;
E=expcon(C,range,options);

plotsection(E,3,30);